Patch Guardrail
Apply a shallow update to an existing guardrail row.
Only fields present in the body are touched. Slug is sticky on
rename so existing references stay valid. Inner guardrail is
replaced wholesale when provided. Reordering happens via
sort_order.
PATCH
/
admin
/
api
/
v1
/
guardrails
/
{guardrail_id}
Patch Guardrail
curl --request PATCH \
--url https://api.example.com/admin/api/v1/guardrails/{guardrail_id} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"enabled": true,
"sortOrder": 1,
"guardrail": {
"banned_words": [
"<string>"
],
"config_id": "ban_list",
"api_key": "",
"reject_message": ""
}
}
'import requests
url = "https://api.example.com/admin/api/v1/guardrails/{guardrail_id}"
payload = {
"name": "<string>",
"enabled": True,
"sortOrder": 1,
"guardrail": {
"banned_words": ["<string>"],
"config_id": "ban_list",
"api_key": "",
"reject_message": ""
}
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
enabled: true,
sortOrder: 1,
guardrail: {
banned_words: ['<string>'],
config_id: 'ban_list',
api_key: '',
reject_message: ''
}
})
};
fetch('https://api.example.com/admin/api/v1/guardrails/{guardrail_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/admin/api/v1/guardrails/{guardrail_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'enabled' => true,
'sortOrder' => 1,
'guardrail' => [
'banned_words' => [
'<string>'
],
'config_id' => 'ban_list',
'api_key' => '',
'reject_message' => ''
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/admin/api/v1/guardrails/{guardrail_id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"enabled\": true,\n \"sortOrder\": 1,\n \"guardrail\": {\n \"banned_words\": [\n \"<string>\"\n ],\n \"config_id\": \"ban_list\",\n \"api_key\": \"\",\n \"reject_message\": \"\"\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.example.com/admin/api/v1/guardrails/{guardrail_id}")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"enabled\": true,\n \"sortOrder\": 1,\n \"guardrail\": {\n \"banned_words\": [\n \"<string>\"\n ],\n \"config_id\": \"ban_list\",\n \"api_key\": \"\",\n \"reject_message\": \"\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/admin/api/v1/guardrails/{guardrail_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"enabled\": true,\n \"sortOrder\": 1,\n \"guardrail\": {\n \"banned_words\": [\n \"<string>\"\n ],\n \"config_id\": \"ban_list\",\n \"api_key\": \"\",\n \"reject_message\": \"\"\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"name": "<string>",
"enabled": true,
"position": "input",
"sortOrder": 1,
"guardrail": {
"banned_words": [
"<string>"
],
"config_id": "ban_list",
"api_key": "",
"reject_message": ""
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"reload": {
"status": "reloaded",
"message": "<string>",
"error": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Body
application/json
Body for PATCH /admin/api/v1/guardrails/{id}.
All fields are optional; absence means no change. Sending null on
name is rejected (clearing the row name is meaningless).
Response
Successful Response
Reload outcome attached to every admin mutation response.
reloaded means DB committed and runtime now uses the new config.
restart_required means DB committed and process restart is needed.
reload_failed means DB rolled back and runtime is unchanged.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Patch Guardrail
curl --request PATCH \
--url https://api.example.com/admin/api/v1/guardrails/{guardrail_id} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"enabled": true,
"sortOrder": 1,
"guardrail": {
"banned_words": [
"<string>"
],
"config_id": "ban_list",
"api_key": "",
"reject_message": ""
}
}
'import requests
url = "https://api.example.com/admin/api/v1/guardrails/{guardrail_id}"
payload = {
"name": "<string>",
"enabled": True,
"sortOrder": 1,
"guardrail": {
"banned_words": ["<string>"],
"config_id": "ban_list",
"api_key": "",
"reject_message": ""
}
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
enabled: true,
sortOrder: 1,
guardrail: {
banned_words: ['<string>'],
config_id: 'ban_list',
api_key: '',
reject_message: ''
}
})
};
fetch('https://api.example.com/admin/api/v1/guardrails/{guardrail_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/admin/api/v1/guardrails/{guardrail_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'enabled' => true,
'sortOrder' => 1,
'guardrail' => [
'banned_words' => [
'<string>'
],
'config_id' => 'ban_list',
'api_key' => '',
'reject_message' => ''
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/admin/api/v1/guardrails/{guardrail_id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"enabled\": true,\n \"sortOrder\": 1,\n \"guardrail\": {\n \"banned_words\": [\n \"<string>\"\n ],\n \"config_id\": \"ban_list\",\n \"api_key\": \"\",\n \"reject_message\": \"\"\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.example.com/admin/api/v1/guardrails/{guardrail_id}")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"enabled\": true,\n \"sortOrder\": 1,\n \"guardrail\": {\n \"banned_words\": [\n \"<string>\"\n ],\n \"config_id\": \"ban_list\",\n \"api_key\": \"\",\n \"reject_message\": \"\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/admin/api/v1/guardrails/{guardrail_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"enabled\": true,\n \"sortOrder\": 1,\n \"guardrail\": {\n \"banned_words\": [\n \"<string>\"\n ],\n \"config_id\": \"ban_list\",\n \"api_key\": \"\",\n \"reject_message\": \"\"\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"name": "<string>",
"enabled": true,
"position": "input",
"sortOrder": 1,
"guardrail": {
"banned_words": [
"<string>"
],
"config_id": "ban_list",
"api_key": "",
"reject_message": ""
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"reload": {
"status": "reloaded",
"message": "<string>",
"error": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}